---
search:
  tags:
    - Variants V2
    - PATCH
seo:
  description: >-
    Bulk-patches variant store group prices by… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/products/variants/prices endpoint in the
    Management API v2.
sidebar:
  label: Update variant prices
  badge: PATCH
title: Update variant prices
type: openapi-operation
---
Bulk-patches variant store group prices by id.

`PATCH /api/v2/{team_slug}/{app_slug}/products/variants/prices`

**Request body** (`application/json`, required)

- `prices` (VariantPricePatchItem[], required)

Request body example:

```json
{
  "prices": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "amount_cents_with_tax": 0,
      "sale_price_cents_with_tax": 0,
      "reference_price_cents_with_tax": 0,
      "on_sale": true,
      "status": "active",
      "sale_start_timestamp": "2019-08-24T14:15:22Z",
      "sale_end_timestamp": "2019-08-24T14:15:22Z"
    }
  ]
}
```

**Responses**

- `200` — OK (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "variant_id": "8a2d415d-59aa-4132-bef3-011f97c4a0f6",
      "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "amount_cents_with_tax": 0,
      "sale_price_cents_with_tax": 0,
      "reference_price_cents_with_tax": 0,
      "on_sale": true,
      "status": "active",
      "sale_start_timestamp": "2019-08-24T14:15:22Z",
      "sale_end_timestamp": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "variant_number": "string",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
